package com.miaxis.app.xxx.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.app.xxx.mapper.TMClassRecordDetailMapper;
import com.miaxis.app.xxx.domain.TMClassRecordDetail;
import com.miaxis.app.xxx.service.ITMClassRecordDetailService;

/**
 * 电子教学日志Service业务层处理
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Service
public class TMClassRecordDetailServiceImpl extends ServiceImpl<TMClassRecordDetailMapper, TMClassRecordDetail> implements ITMClassRecordDetailService {
    @Override
    public List<TMClassRecordDetail> queryList(TMClassRecordDetail tMClassRecordDetail) {
        LambdaQueryWrapper<TMClassRecordDetail> lqw = Wrappers.lambdaQuery();
                        if (StringUtils.isNotBlank(tMClassRecordDetail.getRecnum())){
            lqw.eq(TMClassRecordDetail::getRecnum ,tMClassRecordDetail.getRecnum());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getInscode())){
            lqw.eq(TMClassRecordDetail::getInscode ,tMClassRecordDetail.getInscode());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getStunum())){
            lqw.eq(TMClassRecordDetail::getStunum ,tMClassRecordDetail.getStunum());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getCoachnum())){
            lqw.eq(TMClassRecordDetail::getCoachnum ,tMClassRecordDetail.getCoachnum());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getCarnum())){
            lqw.eq(TMClassRecordDetail::getCarnum ,tMClassRecordDetail.getCarnum());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getSimunum())){
            lqw.eq(TMClassRecordDetail::getSimunum ,tMClassRecordDetail.getSimunum());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getPlatnum())){
            lqw.eq(TMClassRecordDetail::getPlatnum ,tMClassRecordDetail.getPlatnum());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getSubjcode())){
            lqw.eq(TMClassRecordDetail::getSubjcode ,tMClassRecordDetail.getSubjcode());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getPhoto1())){
            lqw.eq(TMClassRecordDetail::getPhoto1 ,tMClassRecordDetail.getPhoto1());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getPhoto2())){
            lqw.eq(TMClassRecordDetail::getPhoto2 ,tMClassRecordDetail.getPhoto2());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getPhoto3())){
            lqw.eq(TMClassRecordDetail::getPhoto3 ,tMClassRecordDetail.getPhoto3());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getStarttime())){
            lqw.eq(TMClassRecordDetail::getStarttime ,tMClassRecordDetail.getStarttime());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getEndtime())){
            lqw.eq(TMClassRecordDetail::getEndtime ,tMClassRecordDetail.getEndtime());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getDuration())){
            lqw.eq(TMClassRecordDetail::getDuration ,tMClassRecordDetail.getDuration());
        }
                                    if (tMClassRecordDetail.getAvevelocity() != null){
            lqw.eq(TMClassRecordDetail::getAvevelocity ,tMClassRecordDetail.getAvevelocity());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getCoacmt())){
            lqw.eq(TMClassRecordDetail::getCoacmt ,tMClassRecordDetail.getCoacmt());
        }
                                    if (tMClassRecordDetail.getStageId() != null){
            lqw.eq(TMClassRecordDetail::getStageId ,tMClassRecordDetail.getStageId());
        }
                                    if (tMClassRecordDetail.getAuditStatus() != null){
            lqw.eq(TMClassRecordDetail::getAuditStatus ,tMClassRecordDetail.getAuditStatus());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getAuditReason())){
            lqw.eq(TMClassRecordDetail::getAuditReason ,tMClassRecordDetail.getAuditReason());
        }
                                    if (tMClassRecordDetail.getAuditType() != null){
            lqw.eq(TMClassRecordDetail::getAuditType ,tMClassRecordDetail.getAuditType());
        }
                                    if (tMClassRecordDetail.getFaceMatching() != null){
            lqw.eq(TMClassRecordDetail::getFaceMatching ,tMClassRecordDetail.getFaceMatching());
        }
                                    if (tMClassRecordDetail.getIscreate() != null){
            lqw.eq(TMClassRecordDetail::getIscreate ,tMClassRecordDetail.getIscreate());
        }
                                    if (tMClassRecordDetail.getCrdate() != null){
            lqw.eq(TMClassRecordDetail::getCrdate ,tMClassRecordDetail.getCrdate());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getStuname())){
            lqw.like(TMClassRecordDetail::getStuname ,tMClassRecordDetail.getStuname());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getStuIdcard())){
            lqw.eq(TMClassRecordDetail::getStuIdcard ,tMClassRecordDetail.getStuIdcard());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getCoachname())){
            lqw.like(TMClassRecordDetail::getCoachname ,tMClassRecordDetail.getCoachname());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getLicnum())){
            lqw.eq(TMClassRecordDetail::getLicnum ,tMClassRecordDetail.getLicnum());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getInsname())){
            lqw.like(TMClassRecordDetail::getInsname ,tMClassRecordDetail.getInsname());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getDistrict())){
            lqw.eq(TMClassRecordDetail::getDistrict ,tMClassRecordDetail.getDistrict());
        }
                                    if (tMClassRecordDetail.getMileage() != null){
            lqw.eq(TMClassRecordDetail::getMileage ,tMClassRecordDetail.getMileage());
        }
                                    if (tMClassRecordDetail.getAuditDate() != null){
            lqw.eq(TMClassRecordDetail::getAuditDate ,tMClassRecordDetail.getAuditDate());
        }
                                    if (tMClassRecordDetail.getStarttimeDate() != null){
            lqw.eq(TMClassRecordDetail::getStarttimeDate ,tMClassRecordDetail.getStarttimeDate());
        }
                                    if (tMClassRecordDetail.getIsAbnormal() != null){
            lqw.eq(TMClassRecordDetail::getIsAbnormal ,tMClassRecordDetail.getIsAbnormal());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getRecarry())){
            lqw.eq(TMClassRecordDetail::getRecarry ,tMClassRecordDetail.getRecarry());
        }
                                    if (tMClassRecordDetail.getAnalyzeDate() != null){
            lqw.eq(TMClassRecordDetail::getAnalyzeDate ,tMClassRecordDetail.getAnalyzeDate());
        }
                                    if (tMClassRecordDetail.getIsAnalyze() != null){
            lqw.eq(TMClassRecordDetail::getIsAnalyze ,tMClassRecordDetail.getIsAnalyze());
        }
                                    if (tMClassRecordDetail.getIsrelatedPhoto() != null){
            lqw.eq(TMClassRecordDetail::getIsrelatedPhoto ,tMClassRecordDetail.getIsrelatedPhoto());
        }
                                    if (tMClassRecordDetail.getPhoto4() != null){
            lqw.eq(TMClassRecordDetail::getPhoto4 ,tMClassRecordDetail.getPhoto4());
        }
                                    if (tMClassRecordDetail.getPhoto5() != null){
            lqw.eq(TMClassRecordDetail::getPhoto5 ,tMClassRecordDetail.getPhoto5());
        }
                                    if (tMClassRecordDetail.getIsWorkorder() != null){
            lqw.eq(TMClassRecordDetail::getIsWorkorder ,tMClassRecordDetail.getIsWorkorder());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getSubmitUser())){
            lqw.eq(TMClassRecordDetail::getSubmitUser ,tMClassRecordDetail.getSubmitUser());
        }
                                    if (tMClassRecordDetail.getSubmitDate() != null){
            lqw.eq(TMClassRecordDetail::getSubmitDate ,tMClassRecordDetail.getSubmitDate());
        }
                                    if (tMClassRecordDetail.getIsToerror() != null){
            lqw.eq(TMClassRecordDetail::getIsToerror ,tMClassRecordDetail.getIsToerror());
        }
                                    if (tMClassRecordDetail.getToerrordate() != null){
            lqw.eq(TMClassRecordDetail::getToerrordate ,tMClassRecordDetail.getToerrordate());
        }
                                    if (tMClassRecordDetail.getFaceNotPass() != null){
            lqw.eq(TMClassRecordDetail::getFaceNotPass ,tMClassRecordDetail.getFaceNotPass());
        }
                                    if (StringUtils.isNotBlank(tMClassRecordDetail.getAbnormalSeq())){
            lqw.eq(TMClassRecordDetail::getAbnormalSeq ,tMClassRecordDetail.getAbnormalSeq());
        }
                                    if (tMClassRecordDetail.getIsUploadgj() != null){
            lqw.eq(TMClassRecordDetail::getIsUploadgj ,tMClassRecordDetail.getIsUploadgj());
        }
                                    if (tMClassRecordDetail.getNeedSpotc() != null){
            lqw.eq(TMClassRecordDetail::getNeedSpotc ,tMClassRecordDetail.getNeedSpotc());
        }
                    return this.list(lqw);
    }
}
